package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 放电交流舱系统表 product_discharge
 *
 * @author ruoyi
 */

public class ProductDischarge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 额定容量（kVA） */
    @Excel(name = "额定容量（kVA）")

    private BigDecimal ratedCapacity;

    /** 额定电压（高压kV） */
    @Excel(name = "额定电压（高压kV）")

    private BigDecimal ratedHighVoltage;

    /** 额定电压（低压kV） */
    @Excel(name = "额定电压（低压kV）")

    private BigDecimal ratedLowVoltage;

    /** 变压器能效 */
    @Excel(name = "变压器能效")

    private String transformerEnergyEfficiency;

    /** 变压器绝缘耐热等级 */
    @Excel(name = "变压器绝缘耐热等级")

    private String insulationHeatResistance;

    /** 过载能力 */
    @Excel(name = "过载能力")

    private String overloadCapacity;

    /** 额定交流功率 */
    @Excel(name = "额定交流功率")

    private BigDecimal ratedAcPower;

    /** 隔离方式 */
    @Excel(name = "隔离方式")

    private String isolationMethod;

    /** 辅助变额定电压 */
    @Excel(name = "辅助变额定电压")

    private BigDecimal ratedAuxiliaryTransformer;

    /** 辅助变容量 */
    @Excel(name = "辅助变容量")

    private BigDecimal auxiliaryVariableCapacity;

    /** 直流最大输入电压 */
    @Excel(name = "直流最大输入电压")

    private BigDecimal dcMaximumInputVoltage;

    /** 电池簇电压范围 */
    @Excel(name = "电池簇电压范围")

    private BigDecimal batteryClusterVoltageRange;

    /** 效率 */
    @Excel(name = "效率")
    private BigDecimal efficiency;

    /** 充电舱最大支持车载数 */
    @Excel(name = "充电舱最大支持车载数", cellType = ColumnType.NUMERIC)

    private Integer chargingCabinVehicleCount;

    /** 防护等级 */
    @Excel(name = "防护等级")

    private String protectionLevel;

    /** 防腐等级 */
    @Excel(name = "防腐等级")

    private String antiCorrosionLevel;

    /** 工作环境温度 */
    @Excel(name = "工作环境温度")

    private BigDecimal workingTemperature;

    /** 允许湿度范围 */
    @Excel(name = "允许湿度范围")

    private BigDecimal allowableHumidityRange;

    /** 海拔 */
    @Excel(name = "海拔")
    private BigDecimal altitude;

    /** 冷却方式 */
    @Excel(name = "冷却方式")

    private String coolingMethod;

    /** 尺寸 */
    @Excel(name = "尺寸")

    private String directCurrentSize;

    /** 放电插座数量 */
    @Excel(name = "放电插座数量")

    private String numberSockets;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public BigDecimal getRatedCapacity()
    {
        return ratedCapacity;
    }

    public void setRatedCapacity(BigDecimal ratedCapacity)
    {
        this.ratedCapacity = ratedCapacity;
    }

    public BigDecimal getRatedHighVoltage()
    {
        return ratedHighVoltage;
    }

    public void setRatedHighVoltage(BigDecimal ratedHighVoltage)
    {
        this.ratedHighVoltage = ratedHighVoltage;
    }

    public BigDecimal getRatedLowVoltage()
    {
        return ratedLowVoltage;
    }

    public void setRatedLowVoltage(BigDecimal ratedLowVoltage)
    {
        this.ratedLowVoltage = ratedLowVoltage;
    }

    public String getTransformerEnergyEfficiency()
    {
        return transformerEnergyEfficiency;
    }

    public void setTransformerEnergyEfficiency(String transformerEnergyEfficiency)
    {
        this.transformerEnergyEfficiency = transformerEnergyEfficiency;
    }

    public String getInsulationHeatResistance()
    {
        return insulationHeatResistance;
    }

    public void setInsulationHeatResistance(String insulationHeatResistance)
    {
        this.insulationHeatResistance = insulationHeatResistance;
    }

    public String getOverloadCapacity()
    {
        return overloadCapacity;
    }

    public void setOverloadCapacity(String overloadCapacity)
    {
        this.overloadCapacity = overloadCapacity;
    }

    public BigDecimal getRatedAcPower()
    {
        return ratedAcPower;
    }

    public void setRatedAcPower(BigDecimal ratedAcPower)
    {
        this.ratedAcPower = ratedAcPower;
    }

    public String getIsolationMethod()
    {
        return isolationMethod;
    }

    public void setIsolationMethod(String isolationMethod)
    {
        this.isolationMethod = isolationMethod;
    }

    public BigDecimal getRatedAuxiliaryTransformer()
    {
        return ratedAuxiliaryTransformer;
    }

    public void setRatedAuxiliaryTransformer(BigDecimal ratedAuxiliaryTransformer)
    {
        this.ratedAuxiliaryTransformer = ratedAuxiliaryTransformer;
    }

    public BigDecimal getAuxiliaryVariableCapacity()
    {
        return auxiliaryVariableCapacity;
    }

    public void setAuxiliaryVariableCapacity(BigDecimal auxiliaryVariableCapacity)
    {
        this.auxiliaryVariableCapacity = auxiliaryVariableCapacity;
    }

    public BigDecimal getDcMaximumInputVoltage()
    {
        return dcMaximumInputVoltage;
    }

    public void setDcMaximumInputVoltage(BigDecimal dcMaximumInputVoltage)
    {
        this.dcMaximumInputVoltage = dcMaximumInputVoltage;
    }

    public BigDecimal getBatteryClusterVoltageRange()
    {
        return batteryClusterVoltageRange;
    }

    public void setBatteryClusterVoltageRange(BigDecimal batteryClusterVoltageRange)
    {
        this.batteryClusterVoltageRange = batteryClusterVoltageRange;
    }

    public BigDecimal getEfficiency()
    {
        return efficiency;
    }

    public void setEfficiency(BigDecimal efficiency)
    {
        this.efficiency = efficiency;
    }

    public Integer getChargingCabinVehicleCount()
    {
        return chargingCabinVehicleCount;
    }

    public void setChargingCabinVehicleCount(Integer chargingCabinVehicleCount)
    {
        this.chargingCabinVehicleCount = chargingCabinVehicleCount;
    }

    public String getProtectionLevel()
    {
        return protectionLevel;
    }

    public void setProtectionLevel(String protectionLevel)
    {
        this.protectionLevel = protectionLevel;
    }

    public String getAntiCorrosionLevel()
    {
        return antiCorrosionLevel;
    }

    public void setAntiCorrosionLevel(String antiCorrosionLevel)
    {
        this.antiCorrosionLevel = antiCorrosionLevel;
    }

    public BigDecimal getWorkingTemperature()
    {
        return workingTemperature;
    }

    public void setWorkingTemperature(BigDecimal workingTemperature)
    {
        this.workingTemperature = workingTemperature;
    }

    public BigDecimal getAllowableHumidityRange()
    {
        return allowableHumidityRange;
    }

    public void setAllowableHumidityRange(BigDecimal allowableHumidityRange)
    {
        this.allowableHumidityRange = allowableHumidityRange;
    }

    public BigDecimal getAltitude()
    {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude)
    {
        this.altitude = altitude;
    }

    public String getCoolingMethod()
    {
        return coolingMethod;
    }

    public void setCoolingMethod(String coolingMethod)
    {
        this.coolingMethod = coolingMethod;
    }

    public String getDirectCurrentSize()
    {
        return directCurrentSize;
    }

    public void setDirectCurrentSize(String directCurrentSize)
    {
        this.directCurrentSize = directCurrentSize;
    }

    public String getNumberSockets()
    {
        return numberSockets;
    }

    public void setNumberSockets(String numberSockets)
    {
        this.numberSockets = numberSockets;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("ratedCapacity", getRatedCapacity())
            .append("ratedHighVoltage", getRatedHighVoltage())
            .append("ratedLowVoltage", getRatedLowVoltage())
            .append("transformerEnergyEfficiency", getTransformerEnergyEfficiency())
            .append("insulationHeatResistance", getInsulationHeatResistance())
            .append("overloadCapacity", getOverloadCapacity())
            .append("ratedAcPower", getRatedAcPower())
            .append("isolationMethod", getIsolationMethod())
            .append("ratedAuxiliaryTransformer", getRatedAuxiliaryTransformer())
            .append("auxiliaryVariableCapacity", getAuxiliaryVariableCapacity())
            .append("dcMaximumInputVoltage", getDcMaximumInputVoltage())
            .append("batteryClusterVoltageRange", getBatteryClusterVoltageRange())
            .append("efficiency", getEfficiency())
            .append("chargingCabinVehicleCount", getChargingCabinVehicleCount())
            .append("protectionLevel", getProtectionLevel())
            .append("antiCorrosionLevel", getAntiCorrosionLevel())
            .append("workingTemperature", getWorkingTemperature())
            .append("allowableHumidityRange", getAllowableHumidityRange())
            .append("altitude", getAltitude())
            .append("coolingMethod", getCoolingMethod())
            .append("directCurrentSize", getDirectCurrentSize())
            .append("numberSockets", getNumberSockets())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
